<div class="row text-bg-primary py-3 px-2">
  <div class="col-12 col-lg-10">
    <div class="row justify-content-center g-2">
      <ng-container *ngFor="let col of itemDesc.toDisplay">
        <div *ngIf="col.display" [ngClass]="col.display" class="px-0 text-center">{{col.label}}</div>
        </ng-container>
    </div>
  </div>
</div>
<div *ngIf="item?.records && item?.records!.length > 0;else noContent">
  <ng-container *ngFor="let record of item?.records">
    <app-record [record]="record" [itemDesc]="itemDesc" (updatedRecord)="updateRecord($event)" (removeRecord)="deleteRecord(record)"></app-record>
  </ng-container>
</div>
<ng-template #noContent>
  <div class="row border border-top-0 border-primary bg-white">
    <p class="fst-italic text-center m-0 p-3">Pas d'éléments en stock</p>
  </div>
</ng-template>